<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Kategori - Vedligeholdelse");

//session_start();
//include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
include_once('../ecard_config.php');
include_once('../inc/formFunctions.php');

$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');
//checkUser();
//$page->showHeader($nav05);

include_once('../inc/adodb/adodb.inc.php');	   # load code common to ADOdb

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$conn = &ADONewConnection('mysql');	# create a connection
$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);

if (isset($_POST['action']) && $_POST['action'] == 'add')
{
	$category = checkAddSlashes($_POST['category']);
	$action = $_POST['action'];
	$addsql = "INSERT INTO ".$tablePrefix."categories (category) VALUES ('$category')";
	$category = stripslashes($category);
	if ($conn->Execute($addsql))
		echo "\"$category\" $admin14<br>";
	else
		echo "<span class='error'>\"$category\" $admin11 $admin14</span><br>";
}

if (isset($_GET['action']) && $_GET['action'] == 'delete')
{
	$catid = (int)$_GET['catid'];
	$category = $_GET['category'];
	$deletesql = "DELETE from ".$tablePrefix."categories WHERE catid=$catid";
	$category = stripslashes($category);
	if ($conn->Execute($deletesql))
		echo "\"$category\" $admin09<br>";
	else
		echo "<span class='error'>\"$category\" $admin11 $admin09</span><br>";
}

if (isset($_POST['action']) && $_POST['action'] == 'edit')
{
	$catid = (int)$_POST['catid'];
	$category = checkAddSlashes($_POST['category']);
	$editsql = "UPDATE ".$tablePrefix."categories SET category='$category' WHERE catid=$catid";
	if ($conn->Execute($editsql))
		echo "$cat01 $admin12<br>";
	else
		echo "<span class='error'>$cat01 $admin11 $admin12</span><br>";
}
?>
<table cellspacing="2" cellpadding="2">
	<form action="categories.php" method="POST">
	<input type="hidden" name="action" value="add">
	<tr>
		<td><? echo "$action02 $cat01";?>:</td>
		<td><input type="text" name="category" size="20"></td>
		<td><input type="submit" value="Add"></td>
	</tr>
	</form>
</table>


<?
$sqlstmt = 'select category, catid from '.$tablePrefix.'categories';
$recordSet = &$conn->Execute("$sqlstmt" );
if (!$recordSet)
	echo "No Categories in Database";
else
{
	?>
<br>
<table width="100%" class="small" cellspacing="2" cellpadding="2">
	<tr>
		<th><div align="left"><? echo "$cat01 $admin08";?>
	    </div></th><th><div align="left"><? echo $cat02;?></div></th><th><div align="left"><? echo $cat03;?></div></th><th colspan="2"><div align="center"><? echo $action01;?></div></th>
	</tr>
	<?
			while (!$recordSet->EOF) 
				{
					$catid = $recordSet->fields['catid'];
					$category = $recordSet->fields['category'];
					$numCardsInCatSQL = "SELECT COUNT(*) from ".$tablePrefix."cardinfo where catid=$catid";
					$cardsInRow = $conn->GetOne($numCardsInCatSQL);
					echo "\n\t<tr>\n\t\t<td>$catid</td><td>$category</td><td>$cardsInRow</td><td><a href=\"editCategory.php?catid=$catid&category=$category\">$action03</a></td><td><a href=\"".$_SERVER['PHP_SELF']."?action=delete&catid=$catid&category=$category\">$action04</a></td>\n\t</tr>";
					$recordSet->MoveNext();
				}
	?>

</table>
<div align="center"><br>
&lt;&lt;  <a href="admin.php" target="_self">Admin</a> &gt;&gt; <br>
</div>
	<?
	$recordSet->Close();
}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>