<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Musik Vedligeholdelse");

session_start();
include_once('../ecard_config.php');
//include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
include_once('../inc/dbform.php');
include_once('../inc/pager.php');
$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');
//checkUser();
//$page->showHeader($nav05);

include_once('../inc/adodb/adodb.inc.php');	   # load code common to ADOdb
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$conn = &ADONewConnection('mysql');	# create a connection
$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);

$dbform = new dbform($conn, $tablePrefix.'music');
$dbform->setTitleClass('bold');
$dbform->setCustomAddForm('addmusic.php');
$dbform->setSelectTitle($music01);
$dbform->setAddTitle($music02);
$dbform->setEditTitle($music03);
$dbform->setColumnTitle('mid', $admin08);
$dbform->setColumnTitle('mname', $music04);
$dbform->setColumnTitle('mpath', $music05);
$dbform->unEditable('mpath');
?>
<table width="100%" class="small" cellspacing="2" cellpadding="2">
	<tr>
		<td>
		<?
		$dbform->processForms();
		$dbform->showForms();
		$dbform->viewTable();
		?>
		</td>
	</tr>
</table>

<div align="center"><br>
&lt;&lt;  <a href="admin.php" target="_self">Admin</a> &gt;&gt; <br>
</div>
<?

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>